Bug 1279176 - Review Request: isis - Framework to access a large variety of image processing libraries
Summary: Review Request: isis - Framework to access a large variety of image processin...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1291010
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-11-08 12:34 UTC by Igor Gnatenko
Modified: 2018-08-22 12:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 07:31:48 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-11-08 12:34:34 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/isis.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/isis-0.7.9-1.fc24.src.rpm
Description:
The ISIS project aims to provide a framework to access a large variety
of image processing libraries written in different programming
languages and environments.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-26 22:59:40 UTC
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in isis-adapter-qt4
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

- Why is -applications and -tools seperate?

Rpmlint
-------
Checking: isis-0.7.9-1.fc24.i686.rpm
          isis-devel-0.7.9-1.fc24.i686.rpm
          isis-tools-0.7.9-1.fc24.i686.rpm
          isis-applications-0.7.9-1.fc24.i686.rpm
          isis-adapter-qt4-0.7.9-1.fc24.i686.rpm
          isis-adapter-qt4-devel-0.7.9-1.fc24.i686.rpm
          isis-adapter-itk-devel-0.7.9-1.fc24.i686.rpm
          isis-debuginfo-0.7.9-1.fc24.i686.rpm
          isis-0.7.9-1.fc24.src.rpm
isis.i686: W: shared-lib-calls-exit /usr/lib/libisis_core.so.3.0.0 exit@GLIBC_2.0
Hm, probably an upstream bug.

isis.i686: W: no-documentation
isis-devel.i686: W: no-documentation
isis-devel.i686: E: incorrect-fsf-address /usr/include/isis/CoreUtils/application.hpp
isis-tools.i686: W: spelling-error %description -l en_US informations -> information, information's, in formations
Wow, I haven't seen a non-false-positive rpmlint spelling error in a long while. But this is one. Please fix!

isis-tools.i686: W: spelling-error %description -l en_US imageIO -> image
isis-tools.i686: W: spelling-error %description -l en_US voxel -> vowel
isis-tools.i686: W: no-documentation
isis-tools.i686: W: no-manual-page-for-binary isisdump
isis-tools.i686: W: no-manual-page-for-binary isisflip
isis-tools.i686: W: no-manual-page-for-binary isisconv
isis-tools.i686: W: no-manual-page-for-binary isisraw
isis-tools.i686: W: no-manual-page-for-binary isisdiff
isis-applications.i686: W: spelling-error %description -l en_US voxels -> vowels
isis-applications.i686: W: no-documentation
isis-applications.i686: W: no-manual-page-for-binary isiscalc
isis-adapter-qt4.i686: W: no-documentation
isis-adapter-qt4.i686: E: library-without-ldconfig-postin /usr/lib/libisisAdapter_qt4.so.0.0.0
isis-adapter-qt4.i686: E: library-without-ldconfig-postun /usr/lib/libisisAdapter_qt4.so.0.0.0
Right, see above.

isis-adapter-qt4-devel.i686: W: no-dependency-on isis-adapter-qt4/isis-adapter-qt4-libs/libisis-adapter-qt4
There's a requirement though the library name, but I think you should add a versioned dependency:
Requires:       isis-adapter-qt4%{?_isa} = %{version}-%{release}

isis-adapter-qt4-devel.i686: W: no-documentation
isis-adapter-qt4-devel.i686: E: incorrect-fsf-address /usr/include/isis/Adapter/qmatrixconversion.hpp
isis-adapter-itk-devel.i686: W: no-documentation
isis-adapter-itk-devel.i686: E: incorrect-fsf-address /usr/include/isis/Adapter/itkAdapter_impl.hpp
isis-adapter-itk-devel.i686: E: incorrect-fsf-address /usr/include/isis/Adapter/itkAdapter.hpp
isis-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/isis-c76e32f08eb1fbe44ec1ea5c306c1f7d2c2a2900/lib/Core/CoreUtils/application.hpp
isis-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/isis-c76e32f08eb1fbe44ec1ea5c306c1f7d2c2a2900/lib/Core/CoreUtils/application.cpp
isis-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/isis-c76e32f08eb1fbe44ec1ea5c306c1f7d2c2a2900/lib/Adapter/qt4/qmatrixconversion.hpp
isis-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/isis-c76e32f08eb1fbe44ec1ea5c306c1f7d2c2a2900/lib/Adapter/qt4/qmatrixconversion.cpp
9 packages and 0 specfiles checked; 10 errors, 19 warnings.

Comment 2 Igor Gnatenko 2015-11-29 02:20:03 UTC
> - Why is -applications and -tools seperate?
-applications requires very big dependency: muParser

Issues will fix tomorrow.

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-12-06 16:32:43 UTC
(In reply to Igor Gnatenko from comment #2)
> > - Why is -applications and -tools seperate?
> -applications requires very big dependency: muParser

muParser is 120k RPM, 369k installed. I wouldn't bother with the split, but if you want to ... OK.

- license is OK (GPLv3+)
- license file is present, %license is used
- license is present for any subpackage combination
- latest version
- requires / provides look mostly correct (see below)
- builds and installs OK
- applications run
- rpmlint:

isis.i686: W: incoherent-version-in-changelog 0.7.9-1 ['0.7.9-2.fc24', '0.7.9-2']
Please fix.

isis-devel.i686: E: incorrect-fsf-address /usr/include/isis/CoreUtils/application.hpp
isis-adapter-itk-devel.i686: E: incorrect-fsf-address /usr/include/isis/Adapter/itkAdapter.hpp
isis-adapter-itk-devel.i686: E: incorrect-fsf-address /usr/include/isis/Adapter/itkAdapter_impl.hpp
You should ping upstream about that.

Issues:
isis-adapter-qt4-devel should have:
Requires: isis-adapter-qt4{?_isa} = %{version}-%{release}

isis-adapter-itk-devel likewise.

There seems to be a problem with one of the plugins:
$ isisdump
...
ImageIO:warning["io_factory.cpp":202] Could not load library "/usr/lib64/isis/plugins/libisisImageFormat_png.so":"/usr/lib64/isis/plugins/libisisImageFormat_png.so: undefined symbol: png_set_longjmp_fn"

This seems to be a problem with libpng version. According to http://stackoverflow.com/a/21588966 libpng >= 1.4 has this function, but libisisImageFormat_png.so links to libpng 1.2. And you have BR:libpng12-devel. Please investigate!

OK, some trivial fixes and some bugfixing is needed, but nothing to hold up the review. Package is APPROVED.

Comment 5 Gwyn Ciesla 2015-12-12 17:28:28 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/isis

Comment 6 Mike McCune 2016-03-28 23:47:57 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 7 Ankur Sinha (FranciscoD) 2018-06-21 22:28:40 UTC
Hi Igor,

The src.fp.o doesn't contain a spec file for the package somehow. Could you please double check? You may have forgotten to do the import. The spec/srpm are still at your fedorapeople space. May I proceed with the import?

Cheers!

Comment 8 Igor Gnatenko 2018-08-22 07:31:48 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.

Comment 9 Ankur Sinha (FranciscoD) 2018-08-22 10:16:18 UTC
Can I import this to SCM, or will we need a new review?

Comment 10 Zbigniew Jędrzejewski-Szmek 2018-08-22 12:42:55 UTC
I think if Igor gives the package to you, you should be able to import it without trouble. The review is still valid.


Note You need to log in before you can comment on or make changes to this bug.